summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxime Ripard <maxime.ripard@free-electrons.com>2011-06-29 13:46:21 (GMT)
committer Peter Korsgaard <jacmet@sunsite.dk>2011-07-05 06:26:44 (GMT)
commit6e53e059c82ba0ac235a5ca732a40b8999a7e65e (patch)
tree54977c024cade26f97dea278effcede2048c74e4
parent348e07c88d4c79e78b26dab3745f75da2c2d6b9a (diff)
downloadbuildroot-6e53e059c82ba0ac235a5ca732a40b8999a7e65e.tar.gz
buildroot-6e53e059c82ba0ac235a5ca732a40b8999a7e65e.tar.bz2
package: add rsyslog
Rsyslog is a powerful and flexible syslog daemon. [Peter: whitespace, rename initscript, allow platform override of conf file] Signed-off-by: Maxime Ripard <maxime.ripard@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
-rw-r--r--package/Config.in1
-rw-r--r--package/rsyslog/Config.in6
-rw-r--r--package/rsyslog/S01rsyslog38
-rw-r--r--package/rsyslog/rsyslog.mk26
4 files changed, 71 insertions, 0 deletions
diff --git a/package/Config.in b/package/Config.in
index 1a4815a..b06c669 100644
--- a/package/Config.in
+++ b/package/Config.in
@@ -496,6 +496,7 @@ if BR2_PACKAGE_BUSYBOX_SHOW_OTHERS
source "package/module-init-tools/Config.in"
source "package/procps/Config.in"
source "package/psmisc/Config.in"
+source "package/rsyslog/Config.in"
source "package/sysklogd/Config.in"
source "package/sysvinit/Config.in"
source "package/util-linux/Config.in"
diff --git a/package/rsyslog/Config.in b/package/rsyslog/Config.in
new file mode 100644
index 0000000..2503f71
--- /dev/null
+++ b/package/rsyslog/Config.in
@@ -0,0 +1,6 @@
+config BR2_PACKAGE_RSYSLOG
+ bool "rsyslog"
+ help
+ Rsyslog is a powerful and flexible syslog implementation
+
+ http://www.rsyslog.com
diff --git a/package/rsyslog/S01rsyslog b/package/rsyslog/S01rsyslog
new file mode 100644
index 0000000..8c28e02
--- /dev/null
+++ b/package/rsyslog/S01rsyslog
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# Starts rsyslog.
+#
+
+start() {
+ echo -n "Starting rsyslog daemon: "
+ umask 077
+ start-stop-daemon -S -q -p /var/run/rsyslogd.pid --exec /usr/sbin/rsyslogd
+ echo "OK"
+}
+stop() {
+ echo -n "Stopping rsyslog daemon: "
+ start-stop-daemon -K -q -p /var/run/rsyslogd.pid
+ echo "OK"
+}
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?
+
diff --git a/package/rsyslog/rsyslog.mk b/package/rsyslog/rsyslog.mk
new file mode 100644
index 0000000..af7ac2e
--- /dev/null
+++ b/package/rsyslog/rsyslog.mk
@@ -0,0 +1,26 @@
+#############################################################
+#
+# rsyslog
+#
+#############################################################
+RSYSLOG_VERSION = 5.8.0
+RSYSLOG_SITE = http://rsyslog.com/files/download/rsyslog/
+RSYSLOG_DEPENDENCIES = zlib
+
+# Build after Busybox
+ifeq ($(BR2_PACKAGE_BUSYBOX),y)
+ RSYSLOG_DEPENDENCIES += busybox
+endif
+
+define RSYSLOG_INSTALL_CONF_SCRIPT
+ $(INSTALL) -m 0755 -D package/rsyslog/S01rsyslog \
+ $(TARGET_DIR)/etc/init.d/S01rsyslog
+ [ -f $(TARGET_DIR)/etc/rsyslog.conf ] || \
+ $(INSTALL) -m 0644 -D $(@D)/rsyslog.conf \
+ $(TARGET_DIR)/etc/rsyslog.conf
+ mkdir -p $(TARGET_DIR)/etc/rsyslog.d
+endef
+
+RSYSLOG_POST_INSTALL_TARGET_HOOKS += RSYSLOG_INSTALL_CONF_SCRIPT
+
+$(eval $(call AUTOTARGETS,package,rsyslog))